package mastodon

type MisskeyStatus struct {
	ID                 string       `json:"id"`
	User               AccountMisskey      `json:"user"`
	Renote		   *MisskeyStatus      `json:"renote"`
	CreatedAt          CreatedAt    `json:"createdAt"`
	Visibility	   string	`json:"visibility"`
	CW                 string	`json:"cw"`
	URL                string       `json:"url"`
	Text		   string	`json:"text"`
	Files              []Attachment `json:"files"`
	RenoteCount        int64        `json:"renoteCount"`
	RepliesCount       int64        `json:"repliesCount"`
	Reactions	   map[string]int `json:"reactions"`
}

type AccountMisskey struct {
	ID                 string       `json:"id"`
	Host               string       `json:"host"`
	Name               string       `json:"name"`
	Username           string       `json:"username"`
	AvatarURL          string       `json:"avatarUrl"`
	IsBot 		   bool         `json:"isBot"`
}


